Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156978 - printconf-gui TypeError: iter must be a GtkTreeIter
Summary: printconf-gui TypeError: iter must be a GtkTreeIter
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: foomatic
Version: 4.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-05 20:19 UTC by Jim Waldram
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-11 16:06:29 UTC


Attachments (Terms of Use)

Description Jim Waldram 2005-05-05 20:19:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050422 Red Hat/1.7.7-1.4.2

Description of problem:
printconf-gui:
Traceback (most recent call last):
  File "/usr/share/printconf/util/queueTree.py", line 704, in sharing_button_clicked
    self.queue_store.set_value (iter, 4, self.pixbuf[shared])
TypeError: iter must be a GtkTreeIter
No match for USB device:
  mfr "Lexmark"
  model "Lexmark Z22-Z32"
  desc "Lexmark Z22-Z32"
  cmdset "LNPAP"
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.printconf-gui
2.New queue request gives message
3.report error request
  

Additional info:

Comment 1 Tim Waugh 2005-05-06 13:35:40 UTC
Please tell me which buttons you press, and in which order, to get this
traceback.  Thanks.

Comment 2 Jim Waldram 2005-05-06 17:31:05 UTC
(In reply to comment #1)
> Please tell me which buttons you press, and in which order, to get this
> traceback.  Thanks.
One printer is defined. This is as set up on the operating system install.  That
printer queue is named "Lexmark-z22-z32-1", Queue type Locally-connected,
hal:///org/freedesktop/Hal/devices/usb_usb_43d_17_100_-1_noserial_0 Custom device
The Queue options have not been changed from the installed versions.  The Print
driver is "Lexmark Z11" with no driver option changes.
With no queues selected, pressing the "New" button generates the reported error.

RELATED:
On a NEW invocation of printconf-gui, selecting the "Lexmark-z22-z32-1" queue
and pressing the "Edit" generates the message:
No match for USB device:
  mfr "Lexmark"
  model "Lexmark Z22-Z32"
  desc "Lexmark Z22-Z32"
  cmdset "LNPAP"
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.

The "Edit a print queue" popup window pops up.
Cancelling the edit and pressing the Edit button again DOES NOT GENERATE THE
ERROR MESSAGE.

The user is root.

Comment 3 Tim Waugh 2005-05-11 15:58:23 UTC
There are two problems here:

1. The 'traceback' message (harmless).  Fixed in CVS.

2. The 'no match' message.  This is also harmless, but means that the printer
model is not automatically selected when you go to create a new queue for that
printer.


Comment 4 Tim Waugh 2005-05-11 16:06:29 UTC
Problem number 2. is also fixed in CVS on the development branch.


Note You need to log in before you can comment on or make changes to this bug.